[project]
    version     = 0.0.18
    name        = BldIt
    tagline     = Developer's toolkit for MKit
    pkgname     = mkittool
    maintainer  = Alois Mahdal <netvor+mkit@vornet.cz>
    vcs_browser = https://gitlab.com/vornet/infra/mkittool
    relsrc      = master
    reldst      = latest

[dist]
    tarball  = LICENSE.md
    tarball  = Makefile
    tarball  = README.md
    tarball  = mkit.ini
    tarball  = packaging
    tarball  = src
    tarball  = utils
    rpmstuff = packaging/template.spec
    debstuff = packaging/debian

[ENV]
    PREFIX          = /usr/local
    XDG_DATA_HOME   = $HOME/.local/share
    XDG_CACHE_HOME  = $HOME/.cache
    XDG_CONFIG_HOME = $HOME/.config

[roots]
    bcompl  = /usr/share/bash-completion/completions
    bin     = [ENV:PREFIX]/bin
    doc     = [ENV:PREFIX]/share/doc/mkittool
    libexec = [ENV:PREFIX]/libexec/mkittool
    share   = [ENV:PREFIX]/share/mkittool
    sfincb  = [ENV:PREFIX]/share/shellfu/include-bash

[macros]
    __VDEP_SHELLFU_GE__  = 0.10.11
    __VDEP_SHELLFU_LT__  = 0.11.0
    __VDEP_SATURNIN_GE__ = 0.5.2
    __VDEP_SATURNIN_LT__ = 0.6.0
    __MKITTOOL_MKITDESC__ = MKit is a set of helpers to embed in your software project that help you
    __MKITTOOL_MKITDESC__ = with boring tasks such as installation, packaging and release management.
    __MKITTOOL_MAINDESC__ = This package contains auxiliary tools intended for developers of
    __MKITTOOL_MAINDESC__ = "MKit-ized" projects.
    __MKITTOOL_MODDESC__ = This sub-package contains Shellfu/Bash modules used by bmo.

[build:macros]
    __SATURNIN_DATA_HOME__    = [ENV:XDG_DATA_HOME]/mkittool
    __SATURNIN_CACHE_HOME__   = [ENV:XDG_CACHE_HOME]/mkittool
    __SATURNIN_CONFIG_HOME__  = [ENV:XDG_CONFIG_HOME]/mkittool
    __SATURNIN_BUILTINS__     = help
    __SATURNIN_CONFIG_LOCAL__ = [roots:etc]
    __SATURNIN_LIBEXEC__      = [roots:libexec]
    __SATURNIN_SHARE__        = [roots:share]
    __SATURNIN_HELP_TOPICPATH__ = [roots:doc]/topics
    __SATURNIN_SCCOMPGEN_PATH__ = [roots:share]/complete
    __SATURNIN_MSGMODE__      = color
    __SATURNIN_VERBOSE__      = false

[modes]
    bin     = 755
    libexec = 755

[files]
    bcompl  = src/complete.bash         mkittool
    bin     = src/app                   mkittool
    doc     = README.md
    libexec = src/libexec/mkittool-debstuff
    libexec = src/libexec/mkittool-pokecopr
    libexec = src/libexec/mkittool-rpmstuff
    share   = src/complete
    sfincb  = src/shellfu/mkittool.sh

#mkit version=0.0.50
